curl --request GET \
--url '{{BASE_URL}}/v3/lab_test/<lab_test_id>/collection_instructions' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY'
{
"total_tubes": 2,
"lab": {
"id": 26,
"slug": "quest",
"name": "Quest",
"first_line_address": "100 Tri State International #100",
"city": "Lincolnshire",
"zipcode": "60069",
"collection_methods": ["at_home_phlebotomy", "walk_in_test"],
"sample_types": ["serum", "saliva", "urine"],
"logo_url": null
}
}
Tests
Get Collection Instructions for Lab Test
Retrieve lab test collection instructions via the Junction API. Requires authentication with your team API key.
GET
/
v3
/
lab_test
/
{lab_test_id}
/
collection_instructions
curl --request GET \
--url '{{BASE_URL}}/v3/lab_test/<lab_test_id>/collection_instructions' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY'
{
"total_tubes": 2,
"lab": {
"id": 26,
"slug": "quest",
"name": "Quest",
"first_line_address": "100 Tri State International #100",
"city": "Lincolnshire",
"zipcode": "60069",
"collection_methods": ["at_home_phlebotomy", "walk_in_test"],
"sample_types": ["serum", "saliva", "urine"],
"logo_url": null
}
}
This feature is in closed beta.Interested in this feature? Get in touch with your Customer Success Manager.
curl --request GET \
--url '{{BASE_URL}}/v3/lab_test/<lab_test_id>/collection_instructions' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY'
{
"total_tubes": 2,
"lab": {
"id": 26,
"slug": "quest",
"name": "Quest",
"first_line_address": "100 Tri State International #100",
"city": "Lincolnshire",
"zipcode": "60069",
"collection_methods": ["at_home_phlebotomy", "walk_in_test"],
"sample_types": ["serum", "saliva", "urine"],
"logo_url": null
}
}
Authorizations
Vital Team API Key
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Example:
{ "city": "San Francisco", "collection_methods": ["testkit"], "first_line_address": "123 Main St", "id": 1, "logo_url": "https://assets.tryvital.io/labs/labcorp.png", "name": "LabCorp", "sample_types": ["saliva"], "slug": "labcorp", "zipcode": "91789" }
Was this page helpful?